//! Predefined patterns for the led display.

use crate::leds::Matrix;

pub const HEART: Matrix = [
    [0, 1, 0, 1, 0],
    [1, 1, 1, 1, 1],
    [1, 1, 1, 1, 1],
    [0, 1, 1, 1, 0],
    [0, 0, 1, 0, 0],
];

pub const CIRCLE: Matrix = [
    [0, 1, 1, 1, 0],
    [1, 0, 0, 0, 1],
    [1, 0, 0, 0, 1],
    [1, 0, 0, 0, 1],
    [0, 1, 1, 1, 0],
];

pub const CROSS: Matrix = [
    [0, 0, 1, 0, 0],
    [0, 0, 1, 0, 0],
    [1, 1, 1, 1, 1],
    [0, 0, 1, 0, 0],
    [0, 0, 1, 0, 0],
];

pub const PATTERN_COUNT: usize = 3;
pub const PATTERN_START: Matrix = HEART;
pub const PATTERNS: [Matrix; PATTERN_COUNT] = [HEART, CIRCLE, CROSS];
